export default function (rgba) {
    let color = {}
    color.rgba = toRgba(rgba)
    color.a = color.rgba.a
    // color.hex = rgb2hex(rgba)
    // color.hsl = toHsl(color.rgba.r, color.rgba.g, color.rgba.b)
    return color
}

export function toRgba (rgba) {
    let arr = rgba.split('(')[1].split(')')[0].split(',')
    return {
        r: arr[0],
        g: arr[1],
        b: arr[2],
        a: arr[3]
    }
}

export function rgb2hex (rgb) {
    let rgb1 = rgb.match(/^rgba?[\s+]?\([\s+]?(\d+)[\s+]?,[\s+]?(\d+)[\s+]?,[\s+]?(\d+)[\s+]?/i)
    let hex = (rgb1 && rgb1.length === 4) ? '#' +
        ('0' + parseInt(rgb1[1], 10).toString(16)).slice(-2) +
        ('0' + parseInt(rgb1[2], 10).toString(16)).slice(-2) +
        ('0' + parseInt(rgb1[3], 10).toString(16)).slice(-2) : ''
    return hex
}

// export function toHsl (r, g, b) {
//     r /= 255, g /= 255, b /= 255
//     let max = Math.max(r, g, b), min = Math.min(r, g, b)
//     let h, s, l = (max + min) / 2
//
//     if (max == min) {
//         h = s = 0 // achromatic
//     } else {
//         var d = max - min
//         s = l > 0.5 ? d / (2 - max - min) : d / (max + min)
//         switch (max) {
//             case r:
//                 h = (g - b) / d + (g < b ? 6 : 0)
//                 break
//             case g:
//                 h = (b - r) / d + 2
//                 break
//             case b:
//                 h = (r - g) / d + 4
//                 break
//         }
//         h /= 6
//     }
//     return [Math.floor(h * 100), Math.round(s * 100) + '%', Math.round(l * 100) + '%']
// }



